#pragma once
#include "afxwin.h"
#include "CustomButton.h"
#include "CustomList.h"


// PictureSettings dialog

class CPictureSettings : public CDialog
{
	DECLARE_DYNAMIC(CPictureSettings)

public:
	CPictureSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPictureSettings();

// Dialog Data
	enum { IDD = IDD_UI_PICTURESETTINGS };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    
    int oldOrientation; 
    
     // reference to the list in the uiDlg;
    CCustomList& customList;

      // for font to be used. the lf for the 
    LOGFONT lf, pathlf;
    LOGFONT defaultFont;
    CFont fontBold;
    CFont defaultFontSize;
    CFont pathFontSize;
    
    void InitializeFont();
    SHMENUBARINFO dlgCommandBar;    
    bool createMenu();
    
    void LoadStringResources();
    
    CCustomButton linkPictureChoose;
    CButton checkOldItems;

    void initializeSearchFolder(WindowsSyncSourceConfig* sconfig, int type);

    void OnBnClickedPictureLinkChoose();
    virtual BOOL PreTranslateMessage(MSG* pMsg);

    // The path for the folder used for notes, briefcase, picture.
    CString pictureFolder;    
    bool existsPicture;   // set true if the picture are in the list of sources    
    bool changedDirectory(WindowsSyncSourceConfig* sconfig, CString folder);
    
    virtual BOOL OnInitDialog();
    DECLARE_MESSAGE_MAP()
    afx_msg void OnOK();
    
    HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    
    afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
   
	
};


