#pragma once
#include  "resource.h"

// CSettings dialog

class MessagingManager;
class MailAccount;

class CSettings : public CDialog
{
    DECLARE_DYNAMIC(CSettings)

public:
    CSettings(CWnd* pParent = NULL, const wchar_t* accountName_ = NULL);   // standard constructor
    virtual ~CSettings();
    virtual int DoModal();    
    HINSTANCE hinst;

    // Dialog Data
    enum { IDD = IDD_SYNC_MAIL_SETTINGS };

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();
    
    SHMENUBARINFO dlgCommandBar;
    CEdit editName;
    CEdit editEmail;
    const wchar_t* accountName;
    CString dispName;
    CString dispEmail;
    
    afx_msg void OnOK();
#ifdef _DEVICE_RESOLUTION_AWARE
    void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
    bool isInputValid(CString address);

    HINSTANCE m_hInstSave;

    DECLARE_MESSAGE_MAP()

private:

    MessagingManager* msgMan;
    MailAccount* ma;
};
